%global site_ver  0-95

Name:             jpathwatch
Version:          0.95
Release:          %mkrel 9
Summary:          Java library for monitoring directories for changes
License:          GPLv2
Group:            Development/Java
# http://jpathwatch.wordpress.com/
URL:              http://%{name}.wordpress.com/
# wget http://jpathwatch.svn.sourceforge.net/viewvc/jpathwatch/branches/0-94/jpathwatch/?view=tar -O jpathwatch-0.94.tar.gz
# wget http://%{name}.svn.sourceforge.net/viewvc/%{name}/branches/%{site_ver}/%{name}/?view=tar -O %{name}-%{version}.tar.gz
Source0:          %{name}-%{version}.tar.gz
Source1:          https://repo1.maven.org/maven2/net/sf/%{name}/%{name}/%{version}/%{name}-%{version}.pom

Patch0:           %{name}-fsf-address.patch

BuildRequires:    ant
BuildRequires:    javapackages-local

# can't debug .so in jars
%global debug_package %{nil}

%description
jpatchwatch is a Java library for monitoring directories
for changes. It uses the host platform’s native OS functions
to achieve this to avoid polling.

The following events on a directory can be monitored:

  - File creation and deletion
  - File modification
  - File renaming
  - Changes in subdirectories (recursive monitoring)
  - Invalidation (a watched directory becomes unavailable)


%package javadoc
Summary:          API documentation for %{name}
BuildArch:        noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%patch0 -p1

%build

# native part
cd %{name}-native/prj/linux/%{name}-native-linux
%if 0%{?__isa_bits} == 64
  make DEFAULTCONF=Release_x86-64bit %{?_smp_mflags} CXXFLAGS="%{optflags}"
%else
  make DEFAULTCONF=Release_x86-32bit %{?_smp_mflags} CXXFLAGS="%{optflags}"
%endif

# java part
cd ../../../..
ant -Dplatforms.JDK_1.5.home=%{_jvmdir}/java jar

# javadoc target exists but doesn't work - generating
find %{name}-java/src -name '*.java' | xargs javadoc -Xdoclint:none -classpath dist:%{name}-%{site_ver}.jar -d doc

%install
%mvn_artifact %{SOURCE1} dist/%{name}-%{site_ver}.jar
%mvn_file : %{name}
%mvn_install -J doc

%files -f .mfiles
%doc README.txt LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Mon Feb 29 2016 daviddavid <daviddavid> 0.95-9.mga6
+ Revision: 980820
- First rebuild of the java stack
- sync package jpathwatch with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.95-4.mga5
+ Revision: 744297
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.95-3.mga5
+ Revision: 680855
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 0.95-2.mga5
+ Revision: 630371
- New version

* Fri Oct 18 2013 umeabot <umeabot> 0.94-5.mga4
+ Revision: 506438
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.94-4.mga3
+ Revision: 355561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - imported package jpathwatch


* Wed Jul 20 2011 Dan Horák <dan[at]danny.cz> - 0.94-3
- fix build on non-x86 arches

* Thu Jul 07 2011 Jaromir Capik <jcapik@redhat.com> - 0.94-2
- Architecture dependent jar file moved to %%{_jnidir}

* Thu Jun 30 2011 Jaromir Capik <jcapik@redhat.com> - 0.94-1
- Initial version of the package
